LibreOffice: XContainerWindowEventHandler Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XContainerWindowEventHandler Interface Reference

Handles events fired by windows represented by a com::sun::star::awt::XWindow interface. More...

`import "XContainerWindowEventHandler.idl";`

Inheritance diagram for XContainerWindowEventHandler:

## Public Member Functions
boolean | callHandlerMethod ([in] com::sun::star::awt::XWindow xWindow, [in] any EventObject, [in] string MethodName) raises (com::sun::star::lang::WrappedTargetException)
| Handles an event generated by a window.
sequence< string > | getSupportedMethodNames ()
| returns a sequence of supported method names
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Handles events fired by windows represented by a com::sun::star::awt::XWindow interface.

## Member Function Documentation

## ◆ callHandlerMethod()

boolean callHandlerMethod | ( | [in] com::sun::star::awt::XWindow | xWindow,
|  | [in] any | EventObject,
|  | [in] string | MethodName )
raises | ( | com::sun::star::lang::WrappedTargetException ) |  |  |

Handles an event generated by a window.

The implementation must be aware that the EventObject argument contains types which it is not prepared to handle. Similarly this applies for the MethodName argument. In this case the method should simply return false.

Parameters

  xWindow | the window instance that generated the event. If used in the scope of com::sun::star::awt::XContainerWindowProvider this is the same window instance that was returned by the createContainerWindow method when passing the XContainerWindowEventHandler instance receiving the event as handler parameter.
  EventObject | an object describing the event which occurred in the window or anything else that provides additional information for the event. If the event was caused by the window or any of the controls which it contains then the any should contain an object derived from com::sun::star::lang::EventObject. Typically this would be one of the several com::sun::star::awt::*Event types.
  MethodName | the name of the function which is to be called.

Returns
  true if the event was handled, otherwise false.

Exceptions

  com::sun::star::lang::WrappedTargetException | if the implementation of the method, which is determined by the argument MethodName, throws an exception. This exception is then wrapped into a com::sun::star::lang::WrappedTargetException.

## ◆ getSupportedMethodNames()

sequence< string > getSupportedMethodNames | ( |  | ) |

returns a sequence of supported method names

Returns
  all method names that will be accepted in calls to callHandlerMethod.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XContainerWindowEventHandler.idl